%ul
  - if current_page.data.nav_links
    - current_page.data.nav_links.each do |nav_item|
      %li
        %a{"href": nav_item.url} #{nav_item.title}
        - if nav_item.dropdowns
          .dropdown
            - nav_item.dropdowns.each do |dropdown|
              %a{"href": dropdown.dd_url} #{dropdown.dd_title}
  .nav-cta-container
    - if current_page.data.header_primary_cta_text
      - if register_url = current_page.data.event_register_url
        - if register_url.include?('eventbrite.com')
          -# For Eventbrite, insert a dummy button so the Javascript widget will take over
          %button.btn.btn-nav-cta.btn-nav-link-cta#eventbrite-widget-modal-trigger
            = current_page.data.header_primary_cta_text
          -# ...but also account for people without Javascript with a basic link!
          %noscript
            = link_to(current_page.data.header_primary_cta_text, register_url, rel: 'noopener noreferrer')
        - else
          %a.btn.btn-nav-cta.btn-nav-link-cta{href: register_url}
            = current_page.data.header_primary_cta_text
      - else
        %a.btn.btn-nav-cta.btn-nav-link-cta{href: current_page.data.header_primary_cta_url}
          = current_page.data.header_primary_cta_text
